03/02/2019 05:27 AM - Il @miz00203

Status: aa Start date: 12/07/2018
Priority: aa Due date: 03/02/2019
Assignee: 00 @mizo0203 % Done: 100%
Category: Estimated time: 0.00 hour
Target version: v0.3 Spent time: 5.00 hours
Description

(/base/alloc/tmpfs/dynamic_runtimes/python27g/b3d733487011db10/python27/python27_lib/versions/1/g
oogle/appengine/runtime/wsgi.py:263)
Traceback (most recent call last):
File "/base/alloc/tmpfs/dynamic_runtimes/python27g/b3d733487011dbl0/python27/python27_lib/versio
ns/1l/google/appengine/runtime/wsgi.py", line 240, in Handle
handler = _config_handle.add_wsgi_middleware (self._LoadHandler ())
File "/base/alloc/tmpfs/dynamic_runtimes/python27g/b3d733487011db10/python27/python27_lib/versio
ns/1l/google/appengine/api/lib_config.py", line 358, in _ getattr_
self._update_configs()
File "/base/alloc/tmpfs/dynamic_runtimes/python27g/b3d733487011dbl10/python27/python27_lib/versio
ns/1l/google/appengine/api/lib_config.py", line 294, in _update_configs
self._registry.initialize()
File "/base/alloc/tmpfs/dynamic_runtimes/python27g/b3d733487011dbl10/python27/python27_lib/versio
ns/1l/google/appengine/api/lib_config.py", line 165, in initialize
import_func(self._modname)
File "/base/alloc/tmpfs/dynamic_runtimes/python27g/b3d733487011db10/python27/python27_dist/lib/p
ython2.7/importlib/__init___.py", line 37, in import_module
__import__ (name)
File "/base/data/home/apps/b~api-project—-379224789817/1.416461935691641653/appengine_config.py",
line 6, in <module>
vendor.add ('lib"'")
File "/base/alloc/tmpfs/dynamic_runtimes/python27g/b3d733487011dbl10/python27/python27_lib/versio
ns/1/google/appengine/ext/vendor/_ _init_ .py", line 44, in add
'No such virtualenv or site directory' % path)
ValueError: virtualenv: cannot access lib: No such virtualenv or site directory

Related issues:
Follows [0 #473: Python 0000000 urttiv 00 00000000 requests 0000000 0o 12/06/2018

Associated revisions

Revision 3d933cd4 - 03/02/2019 05:37 AM - 1 @mizo0203
chore(circle.yml): Create a directory to store your third-party libraries. fix #505 @3.0h

Revision a915ceae - 03/02/2019 06:08 AM - 1 @mizo0203
chore(*): File splitting of requirements on Cl and requirements on App Engine. fix #505 @0.5h

Revision 0ac3ab7d - 03/02/2019 06:48 AM - [ @mizo0203
chore(.flake8): Exclude third-party libraries from flake8 test. fix #505 @0.75h

Revision e5f8c3ce - 03/02/2019 07:10 AM - 10 @mizo0203
chore(circle.yml): Add third-party libraries to deploy. fix #505 @0.5h

Revision 8a52eb3c - 03/02/2019 05:41 PM - 101 @miz00203

chore(*): Rename requirements-ci.txt to requirements-test.ixt. fix #505 @0.25h

History

#1 - 03/02/2019 05:28 AM - 11 @miz00203
- Due date set to 12/07/2018
- Start date changed from 03/02/2019 to 12/07/2018
- Follows 00 #473: Python(0000000 wrlib00 00000000 requestsi0000000 added

#2 - 03/02/2019 05:32 AM - [ @mizo0203

#473 10000000000 requests 00000000000000000
circlec! 1000000000000000000O0O0ODOO0ODODOD

Using third-party libraries - https://cloud.google.com/appengine/docs/standard/python/tools/using-libraries-python-27

#3 - 03/02/2019 05:37 AM - 1 @mizo0203
- Status changed from 00 to010

- % Done changed from 0 to 80

0000 github|3d933cd497c8c1082e5bf300080a100b27003a4c 100000000

#4 - 03/02/2019 07:19 AM - 1 @mizo0203
- Due date changed from 12/07/2018 to 03/02/2019

#5 - 03/04/2019 12:13 PM - 11 @miz00203
- Status changed from00 to01
- % Done changed from 80 to 100
